package com.qmth.ops.api.dto;

import com.qmth.ops.biz.domain.Env;
import com.qmth.ops.biz.domain.EnvType;
import com.qmth.ops.biz.domain.User;

public class EnvVO {

    private Long id;

    private String code;

    private String name;

    private EnvType type;

    private UserVO user;

    public EnvVO(Env env, User user) {
        this.id = env.getId();
        this.code = env.getCode();
        this.name = env.getName();
        this.type = env.getType();
        this.user = new UserVO(user);
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public EnvType getType() {
        return type;
    }

    public void setType(EnvType type) {
        this.type = type;
    }

    public UserVO getUser() {
        return user;
    }

    public void setUser(UserVO user) {
        this.user = user;
    }
}
